Bug 980238 - [abrt] evolution-data-server-3.6.4-4.fc18: gdata_link_finalize: Process /usr/libexec/evolution-addressbook-factory was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] evolution-data-server-3.6.4-4.fc18: gdata_link_finalize: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:393a757b34296fbb6c8fc0cfefc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 15:40 EDT by Amaury Medina
Modified: 2014-02-05 17:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcrha: needinfo? (a221.miyabi)


Attachments (Terms of Use)
File: backtrace (84.06 KB, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: cgroup (130 bytes, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: core_backtrace (3.00 KB, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: dso_list (14.77 KB, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: environ (1.09 KB, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-01 15:41 EDT, Amaury Medina
no flags Details
File: maps (82.83 KB, text/plain)
2013-07-01 15:42 EDT, Amaury Medina
no flags Details
File: open_fds (1.08 KB, text/plain)
2013-07-01 15:43 EDT, Amaury Medina
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-01 15:43 EDT, Amaury Medina
no flags Details
File: var_log_messages (440 bytes, text/plain)
2013-07-01 15:43 EDT, Amaury Medina
no flags Details

  None (edit)
Description Amaury Medina 2013-07-01 15:40:56 EDT
Version-Release number of selected component:
evolution-data-server-3.6.4-4.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: gdata_link_finalize
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gdata_link_finalize at gdata/atom/gdata-link.c:212
 #4 g_list_foreach at glist.c:942
 #5 gdata_feed_dispose at gdata/gdata-feed.c:319
 #7 query_async_data_free at gdata/gdata-service.c:748
 #8 clear_op_res at gsimpleasyncresult.c:257
 #9 g_simple_async_result_finalize at gsimpleasyncresult.c:277
 #11 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:847
 #16 dbus_server_run_server at e-dbus-server.c:222
 #17 ffi_call_unix64 at ../src/x86/unix64.S:75
 #18 ffi_call at ../src/x86/ffi64.c:486
Comment 1 Amaury Medina 2013-07-01 15:41:17 EDT
Created attachment 767499 [details]
File: backtrace
Comment 2 Amaury Medina 2013-07-01 15:41:20 EDT
Created attachment 767500 [details]
File: cgroup
Comment 3 Amaury Medina 2013-07-01 15:41:24 EDT
Created attachment 767501 [details]
File: core_backtrace
Comment 4 Amaury Medina 2013-07-01 15:41:28 EDT
Created attachment 767502 [details]
File: dso_list
Comment 5 Amaury Medina 2013-07-01 15:41:37 EDT
Created attachment 767503 [details]
File: environ
Comment 6 Amaury Medina 2013-07-01 15:41:49 EDT
Created attachment 767504 [details]
File: limits
Comment 7 Amaury Medina 2013-07-01 15:42:49 EDT
Created attachment 767505 [details]
File: maps
Comment 8 Amaury Medina 2013-07-01 15:43:00 EDT
Created attachment 767506 [details]
File: open_fds
Comment 9 Amaury Medina 2013-07-01 15:43:03 EDT
Created attachment 767507 [details]
File: proc_pid_status
Comment 10 Amaury Medina 2013-07-01 15:43:06 EDT
Created attachment 767508 [details]
File: var_log_messages
Comment 11 Milan Crha 2013-07-02 06:41:46 EDT
Thanks for a bug report. I believe this happened when playing with a Google address book, bug I do not see from the bactrace why. There are weird reports too, like in the dso_list there is no libgdata, neither gtkhtml3, while in the maps file I see there these, but as 'deleted'.

> /usr/lib64/libgdata.so.13.4.0.#prelink#.J5MT4C (deleted)

Is it possible this happened when you were updating? I'd suggest to restart the machine after the update, thus the running binaries will get their proper (updated) versions in action.

Please provide some steps, in case you'll be able to reproduce this after restart. Thanks in advance.
Comment 12 Fedora End Of Life 2013-12-21 09:12:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:01:58 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.